libzypp: zyppng::detail::RedoWhileImpl< Task, Pred, typename > Struct Template Reference

libzypp 17.36.6

Public Member Functions | Static Public Member Functions | Private Attributes | List of all members
zyppng::detail::RedoWhileImpl< Task, Pred, typename > Struct Template Reference

`#include <zypp-core/zyppng/pipelines/redo.h>`

## Public Member Functions
template<typename T, typename P>
| RedoWhileImpl (T &&t, P &&p)
template<typename Arg>
std::enable_if_t< is_async_op< remove_smart_ptr_t< std::result_of_t< Task(Arg)> > >::value==false, Arg > | operator() (Arg &&arg)

## Static Public Member Functions
template<typename T, typename P>
static auto | create (T &&t, P &&p)

## Private Attributes
Task | _task
Pred | _pred

## Detailed Description

template<typename Task, typename Pred, typename = void>
struct zyppng::detail::RedoWhileImpl< Task, Pred, typename >

Definition at line 28 of file redo.h.

## Constructor & Destructor Documentation

## ◆ RedoWhileImpl()

template<typename Task, typename Pred, typename = void>
template<typename T, typename P>

zyppng::detail::RedoWhileImpl< Task, Pred, typename >::RedoWhileImpl | ( | T && | t,
|  | P && | p )
| inline

Definition at line 34 of file redo.h.

## Member Function Documentation

## ◆ operator()()

template<typename Task, typename Pred, typename = void>
template<typename Arg>

std::enable_if_t< is_async_op< remove_smart_ptr_t< std::result_of_t< Task(Arg)> > >::value==false, Arg > zyppng::detail::RedoWhileImpl< Task, Pred, typename >::operator() | ( | Arg && | arg | ) |
| inline

Definition at line 39 of file redo.h.

## ◆ create()

template<typename Task, typename Pred, typename = void>
template<typename T, typename P>

static auto zyppng::detail::RedoWhileImpl< Task, Pred, typename >::create | ( | T && | t,
|  | P && | p )
| inlinestatic

Definition at line 49 of file redo.h.

## Member Data Documentation

## ◆ _task

template<typename Task, typename Pred, typename = void>

Task zyppng::detail::RedoWhileImpl< Task, Pred, typename >::_task
| private

Definition at line 54 of file redo.h.

## ◆ _pred

template<typename Task, typename Pred, typename = void>

Pred zyppng::detail::RedoWhileImpl< Task, Pred, typename >::_pred
| private

Definition at line 55 of file redo.h.

The documentation for this struct was generated from the following file:

- zypp-core/zyppng/pipelines/redo.h